## ros-humble-rqt-gui-cpp 1.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rqt_gui_cpp)

find_package(ament_cmake REQUIRED)

if(WIN32)
  message(STATUS "rqt_gui_cpp is not yet supported on Windows. Package will not be built.")
  ament_package()
  return()
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -fPIC)
endif()

# Qt5 boilerplate options from http://doc.qt.io/qt-5/cmake-manual.html
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

find_package(pluginlib REQUIRED)
find_package(Qt5Widgets CONFIG REQUIRED)
find_package(rclcpp REQUIRED)
find_package(qt_gui REQUIRED)
find_package(qt_gui_cpp REQUIRED)

ament_export_dependencies(
  Qt5Widgets
  pluginlib
  rclcpp
  qt_gui_cpp
  qt_gui)

add_library(${PROJECT_NAME} SHARED
  src/rqt_gui_cpp/nodelet_plugin_provider.cpp
  src/rqt_gui_cpp/roscpp_plugin_provider.cpp
)
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")

if(APPLE)
  set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif()

ament_target_dependencies(${PROJECT_NAME}
  rclcpp
  Qt5Widgets
  pluginlib
  rclcpp
  qt_gui_cpp
  qt_gui)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)

install(FILES plugin.xml
  DESTINATION share/${PROJECT_NAME}
)
pluginlib_export_plugin_description_file(qt_gui "plugin.xml")

# Export old-style CMake variables
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

# Export modern CMake targets
ament_export_targets(export_${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-humble-rqt-gui-cpp (1.1.5-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rqt-gui-cpp (1.1.4-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 10 May 2022 00:00:00 -0000

ros-humble-rqt-gui-cpp (1.1.3-2jammy) jammy; urgency=high

  * Install includes to include${PROJECT_NAME} (#258 <https://github.com/ros-visualization/rqt/issues/258>)
  * Contributors: Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rqt-gui-cpp (1.1.2-2jammy) jammy; urgency=high

  * Declare dependency to pluginlib (#251 <https://github.com/ros-visualization/rqt/issues/251>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 31 Aug 2021 00:00:00 -0000

ros-humble-rqt-gui-cpp (1.1.1-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Apr 2021 00:00:00 -0000

ros-humble-rqt-gui-cpp (1.1.0-2jammy) jammy; urgency=high

  * use tgt compile features (#247 <https://github.com/ros-visualization/rqt/issues/247>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Apr 2021 00:00:00 -0000

ros-humble-rqt-gui-cpp (1.0.7-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 05 Feb 2021 00:00:00 -0000

ros-humble-rqt-gui-cpp (1.0.6-2jammy) jammy; urgency=high

  * avoid new deprecations (#225 <https://github.com/ros-visualization/rqt/issues/225>)
  * replace deprecated usage of rclcpp::is_initialized() (#215 <https://github.com/ros-visualization/rqt/issues/215>)
  * Contributors: Jacob Perron, William Woodall

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 05 May 2020 00:00:00 -0000

ros-humble-rqt-gui-cpp (1.0.5-2jammy) jammy; urgency=high

  * drop unnecessary MOC compilation (#203 <https://github.com/ros-visualization/rqt/issues/203>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 30 Sep 2019 00:00:00 -0000

ros-humble-rqt-gui-cpp (1.0.2-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 04 Feb 2019 00:00:00 -0000

ros-humble-rqt-gui-cpp (1.0.1-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 12 Dec 2018 00:00:00 -0000

ros-humble-rqt-gui-cpp (1.0.0-2jammy) jammy; urgency=high

  * skip rqt_gui_cpp on Windows (#177 <https://github.com/ros-visualization/rqt/issues/177>)
  * use non-deprecated header (#173 <https://github.com/ros-visualization/rqt/issues/173>)
  * port rqt_gui_cpp to ROS 2 (#163 <https://github.com/ros-visualization/rqt/issues/163>)
  * address feedback on the rqt_py_common port (#155 <https://github.com/ros-visualization/rqt/issues/155>)
  * ignore unported packages (#157 <https://github.com/ros-visualization/rqt/issues/157>)
  * style changes (#143 <https://github.com/ros-visualization/rqt/issues/143>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Dec 2018 00:00:00 -0000

ros-humble-rqt-gui-cpp (0.5.0-2jammy) jammy; urgency=high

  * version bump to match version of migrated package rqt_py_common

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 24 Apr 2017 00:00:00 -0000

ros-humble-rqt-gui-cpp (0.3.2-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-humble-rqt-gui-cpp (0.3.1-2jammy) jammy; urgency=high

  * add missing build dependency

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 01 Apr 2016 00:00:00 -0000

ros-humble-rqt-gui-cpp (0.3.0-2jammy) jammy; urgency=high

  * switch to Qt5 (#106 <https://github.com/ros-visualization/rqt/pull/106>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 01 Apr 2016 00:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.14-2jammy) jammy; urgency=high

  * add ros spinner thread for cpp plugins (#95 <https://github.com/ros-visualization/rqt/issues/95>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 04 Mar 2014 00:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.13-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 08 Jan 2014 00:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.12-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 09 Oct 2013 00:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.11-2jammy) jammy; urgency=high

  * fix wait for master for cpp plugins (ros-visualization/rqt_common_plugins#173 <https://github.com/ros-visualization/rqt_common_plugins/issues/173>)
  * detect master with background thread (ros-visualization/rqt_common_plugins#169 <https://github.com/ros-visualization/rqt_common_plugins/issues/169>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 06 Sep 2013 00:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.10-2jammy) jammy; urgency=high

  * check for master before loading a plugin and ask the user if not found (#67 <https://github.com/ros-visualization/rqt/issues/67>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.9-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 Jun 2013 00:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.8-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 11 Jan 2013 00:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.7-2jammy) jammy; urgency=high

  * first public release for Groovy

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 31 Dec 2012 00:00:00 -0000

=== debian/control ===
Source: ros-humble-rqt-gui-cpp
Section: misc
Priority: optional
Maintainer: Michael Jeronimo <michael.jeronimo@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-humble-ament-cmake, ros-humble-pluginlib, ros-humble-qt-gui (>= 0.3.0), ros-humble-qt-gui-cpp (>= 0.3.0), ros-humble-rclcpp, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/rqt_gui_cpp
Standards-Version: 3.9.2

Package: ros-humble-rqt-gui-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-pluginlib, ros-humble-qt-gui (>= 0.3.0), ros-humble-qt-gui-cpp (>= 0.3.0), ros-humble-rclcpp, ros-humble-ros-workspace
Description: rqt_gui_cpp enables GUI plugins to use the C++ client library for ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rqt-gui-cpp//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rqt-gui-cpp 1.1.7

=== debian/changelog ===
ros-humble-rqt-gui-cpp (1.1.7-2bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rqt-gui-cpp (1.1.6-2bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rqt-gui-cpp (1.1.5-2bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rqt-gui-cpp (1.1.4-2bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-rqt-gui-cpp (1.1.3-2bookworm) bookworm; urgency=high

  * Install includes to include${PROJECT_NAME} (#258 <https://github.com/ros-visualization/rqt/issues/258>)
  * Contributors: Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-rqt-gui-cpp (1.1.2-2bookworm) bookworm; urgency=high

  * Declare dependency to pluginlib (#251 <https://github.com/ros-visualization/rqt/issues/251>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 30 Aug 2021 16:00:00 -0000

ros-humble-rqt-gui-cpp (1.1.1-2bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 11 Apr 2021 16:00:00 -0000

ros-humble-rqt-gui-cpp (1.1.0-2bookworm) bookworm; urgency=high

  * use tgt compile features (#247 <https://github.com/ros-visualization/rqt/issues/247>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 06 Apr 2021 16:00:00 -0000

ros-humble-rqt-gui-cpp (1.0.7-2bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 04 Feb 2021 16:00:00 -0000

ros-humble-rqt-gui-cpp (1.0.6-2bookworm) bookworm; urgency=high

  * avoid new deprecations (#225 <https://github.com/ros-visualization/rqt/issues/225>)
  * replace deprecated usage of rclcpp::is_initialized() (#215 <https://github.com/ros-visualization/rqt/issues/215>)
  * Contributors: Jacob Perron, William Woodall

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 04 May 2020 16:00:00 -0000

ros-humble-rqt-gui-cpp (1.0.5-2bookworm) bookworm; urgency=high

  * drop unnecessary MOC compilation (#203 <https://github.com/ros-visualization/rqt/issues/203>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 29 Sep 2019 16:00:00 -0000

ros-humble-rqt-gui-cpp (1.0.2-2bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 03 Feb 2019 16:00:00 -0000

ros-humble-rqt-gui-cpp (1.0.1-2bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Dec 2018 16:00:00 -0000

ros-humble-rqt-gui-cpp (1.0.0-2bookworm) bookworm; urgency=high

  * skip rqt_gui_cpp on Windows (#177 <https://github.com/ros-visualization/rqt/issues/177>)
  * use non-deprecated header (#173 <https://github.com/ros-visualization/rqt/issues/173>)
  * port rqt_gui_cpp to ROS 2 (#163 <https://github.com/ros-visualization/rqt/issues/163>)
  * address feedback on the rqt_py_common port (#155 <https://github.com/ros-visualization/rqt/issues/155>)
  * ignore unported packages (#157 <https://github.com/ros-visualization/rqt/issues/157>)
  * style changes (#143 <https://github.com/ros-visualization/rqt/issues/143>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Dec 2018 16:00:00 -0000

ros-humble-rqt-gui-cpp (0.5.0-2bookworm) bookworm; urgency=high

  * version bump to match version of migrated package rqt_py_common

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 23 Apr 2017 16:00:00 -0000

ros-humble-rqt-gui-cpp (0.3.2-2bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 23 Jan 2017 16:00:00 -0000

ros-humble-rqt-gui-cpp (0.3.1-2bookworm) bookworm; urgency=high

  * add missing build dependency

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 31 Mar 2016 16:00:00 -0000

ros-humble-rqt-gui-cpp (0.3.0-2bookworm) bookworm; urgency=high

  * switch to Qt5 (#106 <https://github.com/ros-visualization/rqt/pull/106>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 31 Mar 2016 16:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.14-2bookworm) bookworm; urgency=high

  * add ros spinner thread for cpp plugins (#95 <https://github.com/ros-visualization/rqt/issues/95>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 03 Mar 2014 16:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.13-2bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 07 Jan 2014 16:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.12-2bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 08 Oct 2013 16:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.11-2bookworm) bookworm; urgency=high

  * fix wait for master for cpp plugins (ros-visualization/rqt_common_plugins#173 <https://github.com/ros-visualization/rqt_common_plugins/issues/173>)
  * detect master with background thread (ros-visualization/rqt_common_plugins#169 <https://github.com/ros-visualization/rqt_common_plugins/issues/169>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 05 Sep 2013 16:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.10-2bookworm) bookworm; urgency=high

  * check for master before loading a plugin and ask the user if not found (#67 <https://github.com/ros-visualization/rqt/issues/67>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 20 Aug 2013 16:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.9-2bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 Jun 2013 16:00:00 -0000

ros-humble-rqt-gui-cpp (0.2.8-2bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Jan 2013 16:00:00 -0000



=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rqt-gui-cpp//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rqt-gui-cpp//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rqt-gui-cpp//opt/ros/humble/opt/rqt_gui_cpp/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
